summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVolkmar W. Pogatzki <gentoo@pogatzki.net>2021-06-05 22:46:03 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2021-11-16 09:37:00 +0100
commit660b5533eab8da0e2d14ac46a121ea903549fe3a (patch)
treec4d2ba329f1065b62db0642babd2c841ec137c09
parentwww-apps/nextcloud: Removed old (diff)
downloadgentoo-660b5533eab8da0e2d14ac46a121ea903549fe3a.tar.gz
gentoo-660b5533eab8da0e2d14ac46a121ea903549fe3a.tar.bz2
gentoo-660b5533eab8da0e2d14ac46a121ea903549fe3a.zip
dev-java/pdfbox: bump to 2.0.24 - CVE-2021-31812
Bug: https://bugs.gentoo.org/738836 Closes: https://bugs.gentoo.org/640118 Package-Manager: Portage-3.0.18, Repoman-3.0.2 Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net> Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
-rw-r--r--dev-java/pdfbox/Manifest40
-rw-r--r--dev-java/pdfbox/files/2.0.24-tests-ignore.patch20
-rw-r--r--dev-java/pdfbox/metadata.xml4
-rw-r--r--dev-java/pdfbox/pdfbox-2.0.24.ebuild280
4 files changed, 344 insertions, 0 deletions
diff --git a/dev-java/pdfbox/Manifest b/dev-java/pdfbox/Manifest
index 2a8080fb1e78..1d426e06e678 100644
--- a/dev-java/pdfbox/Manifest
+++ b/dev-java/pdfbox/Manifest
@@ -1,2 +1,42 @@
+DIST PDFBOX-1031-1.pdf 79480 BLAKE2B d0d43ddc3e66e59701634f85f6cca844d790a19f9dbdea93a2b1101d3228368ee02b31dc71520619429bd2dc559fd4e9c2447ef1a292a3ed7e01e74be1092a90 SHA512 f943df43cc2a6929caa484c79eafa44b06a5902e325139e19e1f1ebda7c5fd0c86cc221311659d68351c0ff56d921350ff61e97b9d2c425180d810842c963a5b
+DIST PDFBOX-1031-2.pdf 84803 BLAKE2B 4876cb705f855b2fb788ec7584f554bc40037ddae41d7966957d0ea70acf2b15b92b415b1aa325f6c8a8e17b6a2cd6aa4b9cd60fb036905ad4bb2b0f16921772 SHA512 8a9e836ad77c3e9e1e75476f4b46ff4b8958c099970bf57a0b4789fd37236b2bed7e1f14909fa0e3bbacf1a867c1a5c56cbe293383275c1b9c6c0396bec51085
+DIST PDFBOX-1065-1.pdf 30200 BLAKE2B 5d4da971a0b9608292c5bffe18eb18fbd46de66b0fd3cda16c438f4b24bf0f332cbb8e9b9f4c2ba308f908ae286fec748fa66f3d7ebb9552cce38049b9fddc71 SHA512 6b44f363653a9c0cba049495d0ed67659f98b2622b25d647ae556dc4a708847f6c3e4428aa5de2fa0d67f5e8ba08183abf9e8e640e474c6b00c544782e3bba3e
+DIST PDFBOX-1065-2.pdf 29650 BLAKE2B f85ccd6ff1cef2c3d354b971ee63bc2d572ce6f27dba12f53363265a78c7462e5059341f8efe43b6ed35f0b08422a8cb4ef718b68179df2c831615d2b2ba127f SHA512 3b19a2a4c35fbacb36774553bedc0b3f2caf60d96aa021a9151d1f18a248577f13229f101ed7ed4375f36b9f481c0488ceb5ac00e4669d6802cd7cee1b0b4ad7
+DIST PDFBOX-1100-1.pdf 32189 BLAKE2B 2b6c9b95b1f0a390e2eeeff4f80ffd2b452396c784581743abedcebedef203fb19488ad799c15050bb77c2f4dd359e594ee83a845b34d54dff044a8b7d81b631 SHA512 9e59c8eb5cde5823a78e8e773bab393ab52eb5ac3f3a576b5d665d0267dca9c677abe08bb3b503a8ebf43479b4e6f61725ad85affd95803e12009c0b1919111a
+DIST PDFBOX-1100-2.pdf 26168 BLAKE2B eef33b09ec3a16ef83243743260ae7fa0081a04eebb6139e4f08db3f3252f446fa73a62fa07968e6ab51501e5536dce6640c85e50048d8605680fe4e34261d11 SHA512 f55ec23a9b7350410eef95e6bd6de3c3605fa3dc2e9f9c28dfd2f6007bd693da252787350ad6d1d49570ee07fbbfcaba1f8638c1d7e63d4a8875f44c39867e6f
+DIST PDFBOX-3208-L33MUTT2SVCWGCS6UIYL5TH3PNPXHIS6.pdf 477059 BLAKE2B 842f9d3c7153240663f43cba1bd084b939ba424dfc4f5828f87b328c9e6cd3a8272253289459175a2f8a004b3ad87d5353e69dfd01e044a4ec476c7cd685894f SHA512 5aa19dff76b980ad43c873b7a47f089b3914468e0eaca320d67e18cbfa121c99b9e65bfb86d1b106b034bc6e6833f79c54b3d0c064695f5eac5a2797da687ef2
+DIST PDFBOX-3656.pdf 79004 BLAKE2B 4d17c55fce44ab66e2f9afa5369984ebbf00f4db2ea83d4ab67158d582312afe7785e9f0dc36c439fa8a0cab4d74dc0928e436fbad9df86b482be2985551605a SHA512 031d958a84cbd9eb520e5af308f635b37c48b77f7df4e43ecbcdabd04f4ba8574fac71b62548594b0f26e9e4e7fa3c1c7679d66c2a8e4bf141157fb6e50df97d
+DIST PDFBOX-3682.pdf 5919 BLAKE2B 63cb1df44181a79d614ac3c47f4e7c9c86132ccd2ebed8c97680d47c91481327ef5e3c022ad8b617d429fedbf6cd3327d66c2ca966750b0093ddfb980e234d34 SHA512 b57628fc15898c1fbd5947c93659aa40b34071a2e8cf04e46ff787cb01687668456e59a13c3fba8b56ab0ef76c933408b3b0f3a781990bfd475cd8fa4325d730
+DIST PDFBOX-3783-72GLBIGUC6LB46ELZFBARRJTLN4RBSQM.pdf 82301 BLAKE2B 38fa40b3cc2ca4c11b573160f4cb6327b9c6ae6a56593d63f25e332237c921fcae4927f6b32ad565f614b513afb178ae62c3ff8b9cb15a9629c9e661f57c3dfe SHA512 158ce94951c6166193065120023badf90e9d0f84a436583acabd59d9290a58eb1459c29dab2fd65f59368a9b39ee62b786771f92cc823df9b4f41d14448fcc81
+DIST PDFBOX-3785-202097.pdf 1314816 BLAKE2B 039858ff852dc394d482560cd9f5d87c1de7f860fd3749a224a29826f58656b062dbc9ceae9a7046c72633b6562bf521b8115efa70a5d3569dd51790711ddaf9 SHA512 5031db8cee73aa5199afb0c45dfec284fa6903a5ff31f27788893cfdf80474156f0d5d6feb7947323f874f37d15acfbccfecd4ca5a5cc9edc46d63c9e606a3eb
+DIST PDFBOX-3940-079977.pdf 11651 BLAKE2B 7cb459419ff3f91e4eeae4f406454a95575675806e32418d66ca8f83c9c93cd39a6fe537490ab2bb361d0c2051136d2d2a33fc3543e3831db6d194b4c34a605d SHA512 f4a8875b03422af85a03ece2d46edffbb72e98b58c87584a936c2e80b0ef4c87e069b6f8e9237a61187e640f6a1059c4516beedcea50cd323f6788dc1e9f6482
+DIST PDFBOX-3947-670064.pdf 2122217 BLAKE2B 0dfd7706d656834e31664f656900a5de2b563844f1125ba8bbbdf801b838fedd78fd6d481aa774f0d1f7f80fe9f62d66d4b9a267972533cbe30983fa8d94a6da SHA512 7005a6314ae625b7514f429d8ebe146c4d47f715cb8816403134ab047a1f78664c1e95c92413d52b87c4cfcfcb660265d6fe086e4bd3c44ee767151e3fee115e
+DIST PDFBOX-3948-EUWO6SQS5TM4VGOMRD3FLXZHU35V2CP2.pdf 1045409 BLAKE2B 5c4c2c5467b55dd46c7e32128973e697a027ceeaeba777b734a69f410de93a53ab228ca4dc0e00135a50616df942f7fedb83a23e095b7aa216ec5c2ae142df96 SHA512 f8a9b0b9ea6132f24e54136a40ad99d67df2402f3849a5cb0b7d80cd72298737fe4701e0e77ddd602a06e3ea0a7e107ca40d8d29389eea5834ff37245829c2d2
+DIST PDFBOX-3949-MKFYUGZWS3OPXLLVU2Z4LWCTVA5WNOGF.pdf 1048352 BLAKE2B e8ab8b4fccce2a03b054c1b47282e26098c20612bcde1cd77d356107462a911afdbed3dbdeb5f9e4681c369b8d9d304af845edfaa4f0c611a9a5dcdb91d5a93c SHA512 f450fb40ed5589ce0f390eb110d78bc721b766c34b753770b0cb00b2e40ffe15878f54df2423ab99d7df80dd91512858bf56a7cdc392d5c179b4440176fdd2fb
+DIST PDFBOX-3950-23EGDHXSBBYQLKYOKGZUOVYVNE675PRD.pdf 1048576 BLAKE2B 756b428464865a947ac27ebb8e241e81ac0c4b72fa0ec8daeef28da952909b19df22ded6696789ce47fa6bd26fbad111ff95142ecf25c6b4a3cbf4f3a0b2b5a7 SHA512 ee1d464c3ed2ad91a4cafbc474b38e5c961282f53ef599d6d10e02058da5a67064550ddc54774dfa843a8b45f34b7e6e8ab4f9a445ba459fdcd858e8dce65b25
+DIST PDFBOX-3951-FIHUZWDDL2VGPOE34N6YHWSIGSH5LVGZ.pdf 1044488 BLAKE2B 5036fe827eb4205fc03b52de4bb15aa814f18e8c23d646c896b10ad52704cd63cec786b936bf79627cba549f84c209fd9dfb466a4f6a6f6f31755ebe1ccf23d7 SHA512 2c0b91beb4a2b098738512fefdd40135bf66286cd350ac4e155a5a0150d649acb1da819c817ee9822e8686f526af6b7862fc63a0dae6dc7f1407c7f8b271c65e
+DIST PDFBOX-3964-c687766d68ac766be3f02aaec5e0d713_2.pdf 887881 BLAKE2B 5a853956e488c0f48f3386f1f98e56e5ace991a47d55dc2b92743248f9ff5afafa4f12a11f451493824ddea9c39b7f80a33e7306f315b34f722ad7b5fde04c12 SHA512 0457fd291a7f83f531fef205128929c8fa8147dd781ea7b7cd49d4d1287941989e72739329a7b172c6f53df0b54d991b514b9baa6145effa8ec7705ef273877b
+DIST PDFBOX-3977-63NGFQRI44HQNPIPEJH5W2TBM6DJZWMI.pdf 298904 BLAKE2B 1463288af51314afd301c021cf2ed79b82eccfc0fd6405be3311311715d8d6163bcd673c604494a652ac3ac05d3b4b7fd5d4d4b85e5f4761fc0ff060f17a8342 SHA512 42a47b7b800ec035895af73f6793b7155652ce7b06db28ff97939e52b4fbce321fc45064480359c3371e90a7a47f5e20843a9ba71d4597b9bc3516fa17cfbb32
+DIST PDFBOX-3999-GeneralForbearance.pdf 676210 BLAKE2B 82c8fc682edc08ce99e060b494d208192a7447b3b27227f40d5e3241a72f08674e604254ba59543d9708f61fe6d75c1347cf3cbd5c72f7bd0715d88a2412c358 SHA512 6ed5287342ec8a5459a86462d80917bb625d5973df96fdebd5e3c8bc2e9093e6c389f5c8151eb17472a24e1349386a3e7c1a0021e9a967761a554ac1ade557eb
+DIST PDFBOX-4153-WXMDXCYRWFDCMOSFQJ5OAJIAFXYRZ5OA.pdf 118706 BLAKE2B 2f4a1661b221e6e5e77882139744fe7e85ee2374ff124f622c958917e4d522d45b3036e9da5433956be315d9e0c0c785f8f0096d821abbc8b83d4f5f7527abba SHA512 e69a4ee7ba17c384770d8679586273a23fead36a5775669e5ed4d882d738e8d7c5b5cd48deff2ddeea7900efdb13dee8f4899f9db7945d040ddae8628faea465
+DIST PDFBOX-4184-032163.jpg 3414 BLAKE2B 13f4c1aaeb72eb1748d7dc005146af68edd8f8d24deb15c41b6b27dddecd7674a8d6fef9fc91535c8675d19ff70e3d640f5ddae4621374b3dda1295ef2a5fe54 SHA512 35241c979d3808ca9d2641b5ec5e40637132b313f75070faca8b8f6d00ddce394070414236db3993f1092fe3bc16995750d528b6d803a7851423c14c308ccdde
+DIST PDFBOX-4184-16bit.png 633 BLAKE2B 3e5fcb2778fce83bc0d2b899f189e3d3f5e6c29fa364c0fb6f6c36893dd699f21a62b31c1bf2992c5c070e0d9a169016b8c66d4bbb0eb36365d973b092e58dc2 SHA512 45f148913590ea1a94c3ac17080969b74e579fe51967a5bf535caa3f7104ea81ee222b99deb8ee528b0a53640f97d87cf668633a1bdd61a62092246df1807471
+DIST PDFBOX-4197.pdf 97529 BLAKE2B 1acd70f13983165c77a04845be178eb0110285669351be9ec65b97b4ffd6d67c5e86d315b4be75e536f03d4d2fab7a7535753cf9460764ff89bd4946df63e9b0 SHA512 6fefc869dff9db8cd539db177d35beeacc62304173245742eaee8882dab330860a31cbbd4c4ec6cc724603cc453afc07ec61361fbc1e80a47f44b04ccfbaf40d
+DIST PDFBOX-4308.pdf 655849 BLAKE2B 3e7084efe9b793d83593387d2e896b45f8c3cb0ecfc3d88ab4db67d703566aaa50680a12aaabb0052db4646ed361943c25d503ba258d9600419a6ec8d1262891 SHA512 566346239d51f10b2ccfc435620e8f3b0281e91286983cb86660060a8d48777998eab46dfda93d35024e7e4b50b7ab6654f9a1002524163d228a5e41a80a1221
+DIST PDFBOX-4338.pdf 176 BLAKE2B 20ff53c6db83a06af8d62377005780deced078fcb54019977fb30b80acaae26f921ba214b8bcc2a837e58c7ba657ae6a2c52107a0caaafc60a9acc2cd86ab30f SHA512 130fa4b49345410b203613f3e67263f483f9a9797bef22322647655bb55cc55bcb1d1e0eb03c27f6f2855b3823675b27e8899d8eeb880d27a74fad5f60f23b47
+DIST PDFBOX-4339.pdf 176 BLAKE2B ca616f26a8f1258d935d6556c91212d659281fda58a9213c6f235146be43e26f7aa49e729833c458fb17a84ca6be5c49ace426f4e7e9fd7c76944ecb3a38ceec SHA512 2e48aeae83ef6fc4c5f95aafdfe8c76dd8d2dcf3516701c70ffeb14f06ba246a17c21f2dadf8fa48bccef5b72daffdd30ed7c9aa7f5183ddf889968caa2ded6a
+DIST PDFBOX-4408.pdf 46909 BLAKE2B 021e1dc126e321b2463e69062323ef63f4098d70e0b7a8e9652da88139ee3efaf726fb5de51fc87d0e8ab313b72510621d6cbfc488932def6073769e82f54257 SHA512 eaabebdc39eb9df2f96de4d322ce02478c61193311fdbabf310995cbab55d72e80047bd562d506c391f53a15b1cac9a5d225245b1c5d8a0745acd1b506f571f8
+DIST PDFBOX-4418-000314.pdf 735686 BLAKE2B 8c7640e7ea521a715f2888fc572b0173ecafac6f7ee61211e0ced42bd9278324daf883873ee9d445629e38d4f99fc6ae77ebd9255f5db0c29013941480f3dd76 SHA512 1e16476ff9cdf11fdcb8bfd7d1e6e434d85bce187164936d352846e6804694cd89c9f789da1b9fcae13b51058c1bab0cc4f50dd63e3544ab02050b00044cc5df
+DIST PDFBOX-4418-000671.pdf 867979 BLAKE2B fa59d6fb618cda14557fd6c295a2fda66c1aa40b34ea2196dff0a49b34bc1bfcaf7222e2f56b1a8269484a594873b44ac18e19224e0200a1c8af7bc2b689aa43 SHA512 a0fc0cfd42cb7eb8d521db259f53723f1e8a1618e740e89c787157f85623ed3f8a85b1920933328dfef355c8a468f26c459f37eeeaf5cdafa86540b56fb46090
+DIST PDFBOX-4423-000746.pdf 574613 BLAKE2B 01f139d1c9b9e60d5e3be184b6289a4c50f0390bb61ce69120ca87699a14db4aff4b2d8effb159257f205fe898b8c4cbdfaf5ff56e3607316b847a93fa038b6b SHA512 42a61d0061b0b3b0bcc92c9f3ddc78daca79e9d5ea56c19796270316fb7cf3858db9f51efafa3776e1fef17f85202b35c8eed0e88ba6b7ebc7bb05c6014b9fc8
+DIST PDFBOX-4490.pdf 283351 BLAKE2B 4abac1974e9fc7ca0ede73d5c388125794760a32b24fbb245799f92bebf3cc37a6f0fb8e38fa282d39d0aa00093b829e924d90560b90562033958c270d07dec2 SHA512 5ae7f232c47c13ed31997eb2c368e7deb1013c1321d70bf79369f8d709b33406191d94c21a5d27b4c4bb48241bafd9328a0a6d2d093d4e540d5044e9503bd099
+DIST PDFBOX-4517-cryptfilter.pdf 2157 BLAKE2B 69fea4396c05d977dcb7bc5c29143ad3a64fc45331dd8ddd660e3d557d222d56a548b3b24bb0141e8c8e8b6a5dfee2a3f83fa48a2b39fd448b9209204b3e4d9f SHA512 ed55a65bad6f91104846d28e9e7dcb18b11efbf980a74781350551428bbaecba375d9e22af02edf0f91263c7f668e93ec7c52d397898b7640c2d60e7dd3ae940
+DIST PDFBOX-4750.pdf 333223 BLAKE2B 86e9191142b725a338c750d2f1cd25e3b65957160638e64ecdedc1a26f343709765b99fc15381e6a5045a60aa3d59cf6ff427599b89c03a6aface38e356a36da SHA512 add66ca86b5eb3bfd44fd8c273a81695586d76f6e630b714d4b8db6db5aee5b80e7a6d47b9863a42506773c2c0ee2181469d5cd717dba185b70ef5db7ffb80b9
+DIST PDFBOX-5196-lotus.jpg 48292 BLAKE2B 9f9a02acb481349acc65266ab6529d40e9493fa0c6f5181aa46757ca2a3d29d519e7de2ea95c8288cd3f25f362a3fe7695e81fe0b653984ee267d2b5cc112e51 SHA512 37c73b41d1e00d66717c3715e6c45724c3f163d3d5b045c67e90c3713746d39eef96b4f0e6f368d0679d4c73d02ca01cfe5141d8a526e46ea15a4579ea1e75a2
+DIST genko_oc_shiryo1.pdf 124896 BLAKE2B c3a9921afb052ee4fe5080a1f1e66d991e3041ff90bd26d42bf3a9116f05e81fb5bb51449411527c3c3193072854482cf4616bf57cad1ac7d774044fce26f13d SHA512 71888e06a0323ac6196c5942c5961f76f8a4d8c6913114aaa9e215f43112cfa5f1b741b7c801e794dc44e62c2d34bfaafe89267a4c7de753e4da1481b35820f3
+DIST ipag00303.zip 4295310 BLAKE2B b68dd7dd7a7320894d782350c4598572c31d6ef492f9572adc2aac20ca98b5c5027995c0169bf815bc1e3a64d635b0e2d4e378b749e034f2fe718bcb7901d40a SHA512 59535137c649a2f8bdbb463cd716426811a6003a65883ca6e45bb0af1d526b3889af0fba3a353e90bc8d373cd32b90a27ff9ff6916ecbccb42e922c09e9b046a
+DIST ipagp00303.zip 4295877 BLAKE2B e096303106029daaedae9befb003f70c2c7d00b858f89f5f8fffb9fc73679e63ec0dde8e0304cad2c611aa74d3cf1bfea56b9ac35e6838953d38b028654f5434 SHA512 26d0a9bfba7f5457a98b0bf45a4a6b081bca4140047a0886625691231459f8c81a6cdbe523e9abcbd45fd7caed21d78f1baf3a2cf9167320f6b79be3d697cb5b
+DIST n019003l.pfb 79155 BLAKE2B 2995cd6e35de2d49cc6d4a5f6c7461396b23e14c6403cd7aecedbd5cec904fd0c42a114c4c5f5079fd1fad306dd8ddba649a13424ec5183395fb0fc1cbe2abb9 SHA512 8eafe21ffa6f3d7d0a50e9f4e5bcdeb727e804b552d74e65b709e778c9ed4605e5aa63743be285f0bc17ad162768583fec4196e1d1146d98f8703359247f22d0
DIST pcfi-2010.08.09.jar 6731455 BLAKE2B 438dda63e91494231fba890d995227e7c6428b25a698ad5905a7ca0f2a29f511ff4cc34136c96c878ca04ec7630a062bbff3bbf0400a332b4edb6a6972175920 SHA512 067394ddac4a48ba8ac94b03f907d0faf98a91be658689a34eb85fdce49515582426f6a1fa433bfa87ca417ce3a6fa3aa89d89126a36176d8e04f3359c36d10b
DIST pdfbox-1.8.15-src.zip 11078696 BLAKE2B e468a1c263007484d47861945b50a8b0c9afed2d792619a49f41e57b313d86f4e04d317d1b75406876592d755958771c0468446eb23fe3b26ff529e07d467ffb SHA512 ac3f4b131f5cd2153ec2a744c486db921bc2165d596b243ad673cfc94be1bc4ae27bdf2981b63419fead18db569a2008264d6fdc7c89cf47f69f81c4a7d3a2a6
+DIST pdfbox-2.0.24-src.zip 15651754 BLAKE2B 5d0220c28c2be18a66aa66c2540d3e1d85ecc6826f632e6c9a0193f2f02dca645909b0a54c707d856bb2886d52b0b5fb706503b4f89f0eb7aede8e612bebfa8e SHA512 5d55b3cadbbae266d90c47f5b10c9b09b6dc16f53b77a0cf15c78e62fc69afc7b6eab5a4329608ecdf25de9194b38db1f7d23e7d71af473cc1bf7b09b0028642
diff --git a/dev-java/pdfbox/files/2.0.24-tests-ignore.patch b/dev-java/pdfbox/files/2.0.24-tests-ignore.patch
new file mode 100644
index 000000000000..6454aa776324
--- /dev/null
+++ b/dev-java/pdfbox/files/2.0.24-tests-ignore.patch
@@ -0,0 +1,20 @@
+# public void testPDFBox3826() throws IOException, URISyntaxException
+# https://issues.apache.org/jira/browse/PDFBOX-3826
+--- a/pdfbox/src/test/java/org/apache/pdfbox/pdmodel/font/PDFontTest.java
++++ b/pdfbox/src/test/java/org/apache/pdfbox/pdmodel/font/PDFontTest.java
+@@ -44,6 +44,7 @@ import org.apache.pdfbox.text.PDFTextStripper;
+ import org.junit.Assert;
+ import org.junit.Before;
+ import org.junit.Test;
++import org.junit.Ignore;
+
+ /**
+ *
+@@ -133,6 +134,7 @@ public class PDFontTest
+ * @throws IOException
+ * @throws URISyntaxException
+ */
++ @Ignore
+ @Test
+ public void testPDFBox3826() throws IOException, URISyntaxException
+ {
diff --git a/dev-java/pdfbox/metadata.xml b/dev-java/pdfbox/metadata.xml
index 58821ab607a1..09989cba9219 100644
--- a/dev-java/pdfbox/metadata.xml
+++ b/dev-java/pdfbox/metadata.xml
@@ -8,7 +8,11 @@
<longdescription>
The Apache PDFBox™ library is an open source Java tool for working with PDF documents. This project allows creation of new PDF documents, manipulation of existing documents and the ability to extract content from documents. Apache PDFBox also includes several command line utilities.
</longdescription>
+ <use>
+ <flag name="tools">Build and install pdfbox-tools</flag>
+ </use>
<upstream>
<remote-id type="github">apache/pdfbox</remote-id>
+ <bugs-to>https://issues.apache.org/jira/browse/PDFBOX</bugs-to>
</upstream>
</pkgmetadata>
diff --git a/dev-java/pdfbox/pdfbox-2.0.24.ebuild b/dev-java/pdfbox/pdfbox-2.0.24.ebuild
new file mode 100644
index 000000000000..cfaf146b4ae5
--- /dev/null
+++ b/dev-java/pdfbox/pdfbox-2.0.24.ebuild
@@ -0,0 +1,280 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pdfbox-2.0.24/pdfbox/pom.xml --download-uri https://downloads.apache.org/pdfbox/2.0.24/pdfbox-2.0.24-src.zip --slot 0 --keywords "~amd64 ~arm64 ~ppc64 ~x86" --ebuild pdfbox-2.0.24.ebuild
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.apache.pdfbox:pdfbox:2.0.24"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Java library and utilities for working with PDF documents"
+HOMEPAGE="https://www.apache.org/pdfbox-parent/pdfbox/"
+SRC_URI="mirror://apache/${PN}/${PV}/${P}-src.zip
+ test? (
+ https://issues.apache.org/jira/secure/attachment/12481683/1.pdf -> PDFBOX-1031-1.pdf
+ https://issues.apache.org/jira/secure/attachment/12481684/2.pdf -> PDFBOX-1031-2.pdf
+ https://issues.apache.org/jira/secure/attachment/12486525/1_testfile1.pdf -> PDFBOX-1065-1.pdf
+ https://issues.apache.org/jira/secure/attachment/12486526/2_testfile1.pdf -> PDFBOX-1065-2.pdf
+ https://issues.apache.org/jira/secure/attachment/12490774/a.pdf -> PDFBOX-1100-1.pdf
+ https://issues.apache.org/jira/secure/attachment/12490775/b.pdf -> PDFBOX-1100-2.pdf
+ https://issues.apache.org/jira/secure/attachment/12848122/SF1199AEG%20%28Complete%29.pdf -> PDFBOX-3656.pdf
+ https://issues.apache.org/jira/secure/attachment/12852207/test.pdf -> PDFBOX-3682.pdf
+ https://issues.apache.org/jira/secure/attachment/12888957/079977.pdf -> PDFBOX-3940-079977.pdf
+ https://issues.apache.org/jira/secure/attachment/12867113/202097.pdf -> PDFBOX-3785-202097.pdf
+ https://issues.apache.org/jira/secure/attachment/12890031/670064.pdf -> PDFBOX-3947-670064.pdf
+ https://issues.apache.org/jira/secure/attachment/12890034/EUWO6SQS5TM4VGOMRD3FLXZHU35V2CP2.pdf -> PDFBOX-3948-EUWO6SQS5TM4VGOMRD3FLXZHU35V2CP2.pdf
+ https://issues.apache.org/jira/secure/attachment/12890037/MKFYUGZWS3OPXLLVU2Z4LWCTVA5WNOGF.pdf -> PDFBOX-3949-MKFYUGZWS3OPXLLVU2Z4LWCTVA5WNOGF.pdf
+ https://issues.apache.org/jira/secure/attachment/12890042/23EGDHXSBBYQLKYOKGZUOVYVNE675PRD.pdf -> PDFBOX-3950-23EGDHXSBBYQLKYOKGZUOVYVNE675PRD.pdf
+ https://issues.apache.org/jira/secure/attachment/12890047/FIHUZWDDL2VGPOE34N6YHWSIGSH5LVGZ.pdf -> PDFBOX-3951-FIHUZWDDL2VGPOE34N6YHWSIGSH5LVGZ.pdf
+ https://issues.apache.org/jira/secure/attachment/12892097/c687766d68ac766be3f02aaec5e0d713_2.pdf -> PDFBOX-3964-c687766d68ac766be3f02aaec5e0d713_2.pdf
+ https://issues.apache.org/jira/secure/attachment/12893582/63NGFQRI44HQNPIPEJH5W2TBM6DJZWMI.pdf -> PDFBOX-3977-63NGFQRI44HQNPIPEJH5W2TBM6DJZWMI.pdf
+ https://issues.apache.org/jira/secure/attachment/12896905/GeneralForbearance.pdf -> PDFBOX-3999-GeneralForbearance.pdf
+ https://issues.apache.org/jira/secure/attachment/12919726/sample.pdf -> PDFBOX-4197.pdf
+ https://issues.apache.org/jira/secure/attachment/12938094/Quelldatei.pdf -> PDFBOX-4308.pdf
+ https://issues.apache.org/jira/secure/attachment/12952086/form.pdf -> PDFBOX-4408.pdf
+ https://issues.apache.org/jira/secure/attachment/12953423/000314.pdf -> PDFBOX-4418-000314.pdf
+ https://issues.apache.org/jira/secure/attachment/12953421/000671.pdf -> PDFBOX-4418-000671.pdf
+ https://issues.apache.org/jira/secure/attachment/12953866/000746.pdf -> PDFBOX-4423-000746.pdf
+ https://issues.apache.org/jira/secure/attachment/12966453/cryptfilter.pdf -> PDFBOX-4517-cryptfilter.pdf
+ https://issues.apache.org/jira/secure/attachment/12991833/PDFBOX-4750-test.pdf -> PDFBOX-4750.pdf
+ https://issues.apache.org/jira/secure/attachment/12914331/WXMDXCYRWFDCMOSFQJ5OAJIAFXYRZ5OA.pdf -> PDFBOX-4153-WXMDXCYRWFDCMOSFQJ5OAJIAFXYRZ5OA.pdf
+ https://issues.apache.org/jira/secure/attachment/12962991/NeS1078.pdf -> PDFBOX-4490.pdf
+ https://issues.apache.org/jira/secure/attachment/12784025/PDFBOX-3208-L33MUTT2SVCWGCS6UIYL5TH3PNPXHIS6.pdf
+ https://issues.apache.org/jira/secure/attachment/12867102/PDFBOX-3783-72GLBIGUC6LB46ELZFBARRJTLN4RBSQM.pdf
+ https://issues.apache.org/jira/secure/attachment/12929821/16bit.png -> PDFBOX-4184-16bit.png
+ https://issues.apache.org/jira/secure/attachment/12943502/ArrayIndexOutOfBoundsException%20COSParser -> PDFBOX-4338.pdf
+ https://issues.apache.org/jira/secure/attachment/12943503/NullPointerException%20COSParser -> PDFBOX-4339.pdf
+ https://issues.apache.org/jira/secure/attachment/12867433/genko_oc_shiryo1.pdf
+ https://moji.or.jp/wp-content/ipafont/IPAfont/ipag00303.zip
+ https://moji.or.jp/wp-content/ipafont/IPAfont/ipagp00303.zip
+ https://issues.apache.org/jira/secure/attachment/12911053/n019003l.pfb
+ https://issues.apache.org/jira/secure/attachment/12949710/032163.jpg -> PDFBOX-4184-032163.jpg
+ https://issues.apache.org/jira/secure/attachment/13025718/lotus.jpg -> PDFBOX-5196-lotus.jpg
+ )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="+tools"
+
+PROPERTIES="test_network"
+RESTRICT="test"
+
+# Common dependencies
+# POM: ${P}/${PN}/pom.xml
+# commons-logging:commons-logging:1.2 -> >=dev-java/commons-logging-1.2:0
+# org.apache.pdfbox:fontbox:2.0.24 -> >=dev-java/fontbox-2.0.24:0
+# org.bouncycastle:bcmail-jdk15on:1.64 -> >=dev-java/bcmail-1.68:0
+# org.bouncycastle:bcprov-jdk15on:1.64 -> >=dev-java/bcprov-1.68:0
+
+CDEPEND="
+ dev-java/bcmail:0
+ dev-java/bcprov:0
+ dev-java/commons-logging:0
+ ~dev-java/fontbox-${PV}:0
+ tools? (
+ dev-java/java-diff-utils:0
+ dev-java/junit:4
+ dev-java/mockito:0
+ )"
+
+# Compile dependencies
+# POM: ${P}/${PN}/pom.xml
+# test? com.github.jai-imageio:jai-imageio-core:1.4.0 -> >=dev-java/jai-imageio-core-1.4.0:0
+# test? com.github.jai-imageio:jai-imageio-jpeg2000:1.4.0 -> >=dev-java/jai-imageio-jpeg2000-1.4.0:0
+# test? com.googlecode.java-diff-utils:diffutils:1.3.0 -> >=dev-java/java-diff-utils-1.3.0:0
+# test? junit:junit:4.13.2 -> >=dev-java/junit-4.13.2:4
+# test? org.apache.pdfbox:jbig2-imageio:3.0.3 -> >=dev-java/jbig2-imageio-3.0.3:0
+# test? org.mockito:mockito-core:3.10.0 -> !!!suitble-mavenVersion-not-found!!!
+
+DEPEND="${CDEPEND}
+ >=virtual/jdk-1.8:*
+ test? (
+ dev-java/jai-imageio-core:0
+ dev-java/jai-imageio-jpeg2000:0
+ dev-java/java-diff-utils:0
+ dev-java/jbig2-imageio:0
+ dev-java/mockito:0
+ )"
+
+RDEPEND="${CDEPEND}
+ >=virtual/jre-1.8:*"
+
+BDEPEND="app-arch/unzip"
+
+DOCS=( {README.md,{LICENSE,NOTICE,RELEASE-NOTES}.txt} )
+
+PATCHES=(
+ # adds @Ignore annotation to
+ # public void testPDFBox3826() throws IOException, URISyntaxException
+ # https://issues.apache.org/jira/browse/PDFBOX-3826
+ "${FILESDIR}"/2.0.24-tests-ignore.patch
+)
+
+S="${WORKDIR}/${P}"
+
+JAVA_GENTOO_CLASSPATH_EXTRA="pdfbox.jar:pdfbox-debugger.jar"
+JAVA_GENTOO_CLASSPATH="commons-logging,fontbox,bcmail,bcprov"
+JAVA_TEST_GENTOO_CLASSPATH="jai-imageio-core,jai-imageio-jpeg2000,java-diff-utils,jbig2-imageio,junit-4,mockito"
+
+JAVA_TEST_EXCLUDES=(
+ # excluded upstream according to
+ # https://github.com/apache/pdfbox/blob/8876e8e1a0adbf619cef4638cc3cea073e3ca484/pdfbox/pom.xml#L123
+ "org.apache.pdfbox.rendering.TestPDFToImage"
+
+ # 1) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testIsSetDirect (java.lang.InstantiationException
+ # 2) warning(junit.framework.TestSuite$1
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testAccept (java.lang.InstantiationException
+ # 3) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testGetCOSObject (java.lang.InstantiationException
+ "org.apache.pdfbox.cos.TestCOSBase"
+
+ # 4) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testFloatValue (java.lang.InstantiationException
+ # 5) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testGet (java.lang.InstantiationException
+ # 6) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testInvalidNumber (java.lang.InstantiationException
+ # 7) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testLongValue (java.lang.InstantiationException
+ # 8) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testIntValue (java.lang.InstantiationException
+ # 9) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testLargeNumber (java.lang.InstantiationException
+ # 10) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testDoubleValue (java.lang.InstantiationException
+ # 11) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testIsSetDirect (java.lang.InstantiationException
+ # 12) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testAccept (java.lang.InstantiationException
+ # 13) warning(junit.framework.TestSuite$1)
+ # junit.framework.AssertionFailedError: Cannot instantiate test case: testGetCOSObject (java.lang.InstantiationException
+ "org.apache.pdfbox.cos.TestCOSNumber" # Tests run: 10, Failures: 10
+)
+
+src_prepare() {
+ default
+}
+
+src_compile() {
+ JAVA_SRC_DIR="pdfbox/src/main/java"
+ JAVA_RESOURCE_DIRS="pdfbox/src/main/resources"
+ JAVA_JAR_FILENAME="pdfbox.jar"
+ java-pkg-simple_src_compile
+
+ JAVA_SRC_DIR="debugger/src/main/java"
+ JAVA_RESOURCE_DIRS="debugger/src/main/resources"
+ JAVA_JAR_FILENAME="pdfbox-debugger.jar"
+ java-pkg-simple_src_compile
+
+ if use tools; then
+ JAVA_GENTOO_CLASSPATH+=" java-diff-utils,junit-4,mockito"
+ JAVA_SRC_DIR="tools/src/main/java"
+ JAVA_RESOURCE_DIRS=""
+ JAVA_JAR_FILENAME="pdfbox-tools.jar"
+ java-pkg-simple_src_compile
+ fi
+
+ JAVA_SRC_DIR=(
+ "${S}/pdfbox"
+ "${S}/debugger"
+ )
+ if use tools; then
+ JAVA_SRC_DIR+=( "${S}/tools" )
+ fi
+ JAVA_JAR_FILENAME="ignoreme.jar"
+ java-pkg-simple_src_compile
+}
+
+src_test() {
+ JAVA_TEST_SRC_DIR="pdfbox/src/test/java"
+ JAVA_TEST_RESOURCE_DIRS="pdfbox/src/test/resources"
+
+ # tests failed with S="${WORKDIR}/${P}"
+ find pdfbox/src/test/ -type f -exec sed -i 's:src/test/resources:pdfbox/src/test/resources:' {} + || die
+
+ mkdir --parents target/pdfs || die
+ cp \
+ "${DISTDIR}"/PDFBOX-1031-1.pdf \
+ "${DISTDIR}"/PDFBOX-1031-2.pdf \
+ "${DISTDIR}"/PDFBOX-1065-1.pdf \
+ "${DISTDIR}"/PDFBOX-1065-2.pdf \
+ "${DISTDIR}"/PDFBOX-1100-1.pdf \
+ "${DISTDIR}"/PDFBOX-1100-2.pdf \
+ "${DISTDIR}"/PDFBOX-3656.pdf \
+ "${DISTDIR}"/PDFBOX-3682.pdf \
+ "${DISTDIR}"/PDFBOX-3940-079977.pdf \
+ "${DISTDIR}"/PDFBOX-3785-202097.pdf \
+ "${DISTDIR}"/PDFBOX-3947-670064.pdf \
+ "${DISTDIR}"/PDFBOX-3948-EUWO6SQS5TM4VGOMRD3FLXZHU35V2CP2.pdf \
+ "${DISTDIR}"/PDFBOX-3949-MKFYUGZWS3OPXLLVU2Z4LWCTVA5WNOGF.pdf \
+ "${DISTDIR}"/PDFBOX-3950-23EGDHXSBBYQLKYOKGZUOVYVNE675PRD.pdf \
+ "${DISTDIR}"/PDFBOX-3951-FIHUZWDDL2VGPOE34N6YHWSIGSH5LVGZ.pdf \
+ "${DISTDIR}"/PDFBOX-3964-c687766d68ac766be3f02aaec5e0d713_2.pdf \
+ "${DISTDIR}"/PDFBOX-3977-63NGFQRI44HQNPIPEJH5W2TBM6DJZWMI.pdf \
+ "${DISTDIR}"/PDFBOX-3999-GeneralForbearance.pdf \
+ "${DISTDIR}"/PDFBOX-4197.pdf \
+ "${DISTDIR}"/PDFBOX-4308.pdf \
+ "${DISTDIR}"/PDFBOX-4408.pdf \
+ "${DISTDIR}"/PDFBOX-4418-000314.pdf \
+ "${DISTDIR}"/PDFBOX-4418-000671.pdf \
+ "${DISTDIR}"/PDFBOX-4423-000746.pdf \
+ "${DISTDIR}"/PDFBOX-4517-cryptfilter.pdf \
+ "${DISTDIR}"/PDFBOX-4750.pdf \
+ "${DISTDIR}"/PDFBOX-4153-WXMDXCYRWFDCMOSFQJ5OAJIAFXYRZ5OA.pdf \
+ "${DISTDIR}"/PDFBOX-4490.pdf \
+ "${DISTDIR}"/PDFBOX-3208-L33MUTT2SVCWGCS6UIYL5TH3PNPXHIS6.pdf \
+ "${DISTDIR}"/PDFBOX-3783-72GLBIGUC6LB46ELZFBARRJTLN4RBSQM.pdf \
+ "${DISTDIR}"/PDFBOX-4338.pdf \
+ "${DISTDIR}"/PDFBOX-4339.pdf \
+ "${DISTDIR}"/genko_oc_shiryo1.pdf \
+ "target/pdfs" || die
+
+ mkdir target/fonts || die
+ cp "${DISTDIR}"/n019003l.pfb "target/fonts" || die
+ unzip "${DISTDIR}"/ipag00303.zip -d "target/fonts" || die
+ unzip "${DISTDIR}"/ipagp00303.zip -d "target/fonts" || die
+
+ mkdir target/imgs || die
+ cp \
+ "${DISTDIR}"/PDFBOX-5196-lotus.jpg \
+ "${DISTDIR}"/PDFBOX-4184-032163.jpg \
+ "${DISTDIR}"/PDFBOX-4184-16bit.png \
+ "target/imgs" || die
+
+ java-pkg-simple_src_test
+ rm -r target/test-classes || die # avoid to run previous tests again
+
+ if use tools; then
+ find tools/src/test/ -type f -exec sed -i 's:src/test/resources:tools/src/test/resources:' {} + || die
+ JAVA_TEST_SRC_DIR="tools/src/test/java"
+ JAVA_TEST_RESOURCE_DIRS="tools/src/test/resources"
+ java-pkg-simple_src_test
+ fi
+}
+
+src_install() {
+ # https://bugs.gentoo.org/789582
+ default
+
+ java-pkg_dojar "pdfbox.jar"
+ java-pkg_dojar "pdfbox-debugger.jar"
+ if use tools; then
+ java-pkg_dojar "pdfbox-tools.jar"
+ java-pkg_dolauncher ${PN} --main org.apache.pdfbox.tools.PDFBox
+ fi
+
+ if use doc; then
+ java-pkg_dojavadoc target/api
+ fi
+
+ if use source; then
+ java-pkg_dosrc "${S}/pdfbox" "${S}/debugger" "${S}/tools"
+ fi
+}